summaryrefslogtreecommitdiffstats
path: root/network/plowshare
diff options
context:
space:
mode:
author Jeremy Hansen <jebrhansen+SBo@gmail.com>2017-03-27 21:33:57 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-01 06:56:57 +0700
commit1466c9c9f8719924d1bb15a801a7494054e22059 (patch)
tree2a2ea02cc79e04c3a1d1aa8931ce82a8178b4af8 /network/plowshare
parent37085e7557cdc6e11f5a0af8299e24a0d401a465 (diff)
downloadslackbuilds-1466c9c9f8719924d1bb15a801a7494054e22059.tar.gz
slackbuilds-1466c9c9f8719924d1bb15a801a7494054e22059.tar.xz
network/plowshare: Updated for version 2.1.6 + new maintainer.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network/plowshare')
-rw-r--r--network/plowshare/README27
-rw-r--r--network/plowshare/plowshare.SlackBuild45
-rw-r--r--network/plowshare/plowshare.info12
-rw-r--r--network/plowshare/slack-desc12
4 files changed, 64 insertions, 32 deletions
diff --git a/network/plowshare/README b/network/plowshare/README
index 8b4e3e16bc..ed11f60376 100644
--- a/network/plowshare/README
+++ b/network/plowshare/README
@@ -1,8 +1,19 @@
-Plowshare is a command-line downloader/uploader for some of the most popular
-file-sharing websites. It presently supports Megaupload, Rapidshare, 2Shared,
-4Shared, ZShare, Badongo, Divshare.com, Depositfiles, Mediafire, Netload.in,
-Storage.to, Uploaded.to, Uploading.com, Sendspace, Usershare, X7.to and some
-others.
-
-tesseract, js and PerlMagick are optional runtime dependecies for some sites.
-See the plowshare website for details.
+Plowshare is a set of command-line tools (written entirely in Bash shell
+script) designed for managing file-sharing websites (aka Hosters).
+
+Plowshare itself doesn't support any websites. It's just the core engine.
+Support for websites are added via modules. They are available separately
+and it's recommended to be installed by the user rather than system-wide.
+It can be installed/updated by the user to ~/.config/plowshare/modules.d/
+directory using:
+
+$ plowmod --install
+$ plowmod --update
+
+However, if you'd like them system-wide, please see the plowshare-modules
+SBo package. Modules will be installed to /usr/share/plowshare/modules/
+
+Per INSTALL, either rhino or sunspider (the latter is not available on SBo)
+are optional runtime dependencies. It is stated they are required for some
+sites. However, I have not come across any that didn't work. Let me know
+if it should become a required dependency.
diff --git a/network/plowshare/plowshare.SlackBuild b/network/plowshare/plowshare.SlackBuild
index 89cb42adb4..1e87d6c5b5 100644
--- a/network/plowshare/plowshare.SlackBuild
+++ b/network/plowshare/plowshare.SlackBuild
@@ -2,44 +2,65 @@
# Slackware build script for plowshare
-# Written by Mikhail Cuddy <mikhailcuddy@gmail.com>
+# Copyright 2017 Jeremy Hansen <jebrhansen+SBo -at- gmail.com>
+# Copyright 2010 Mikhail Cuddy <mikhailcuddy@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=plowshare
-VERSION=${VERSION:-0.9.4}
-ARCH=noarch
+VERSION=${VERSION:-2.1.6}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+ARCH=noarch
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tgz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-DESTDIR=$PKG PREFIX=/usr sh setup.sh install
+make install PREFIX=/usr DESTDIR=$PKG
mv $PKG/usr/share/man $PKG/usr/man
-gzip -9 $PKG/usr/man/man1/*.1
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
rm -r $PKG/usr/share/doc
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- CHANGELOG COPYING README \
+ AUTHORS CHANGELOG COPYING INSTALL README.md \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/network/plowshare/plowshare.info b/network/plowshare/plowshare.info
index b80f1f2b7f..325ca4e5d9 100644
--- a/network/plowshare/plowshare.info
+++ b/network/plowshare/plowshare.info
@@ -1,10 +1,10 @@
PRGNAM="plowshare"
-VERSION="0.9.4"
-HOMEPAGE="http://code.google.com/p/plowshare/"
-DOWNLOAD="http://downloads.sourceforge.net/salix-sbo/plowshare-0.9.4.tgz"
-MD5SUM="dd41b208a02c95e6117bad849d191c57"
+VERSION="2.1.6"
+HOMEPAGE="https://github.com/mcrapet/plowshare"
+DOWNLOAD="https://github.com/mcrapet/plowshare/archive/v2.1.6/plowshare-2.1.6.tar.gz"
+MD5SUM="123946c904237b81c5df653f983e3c1c"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="recode"
-MAINTAINER="Mikhail Cuddy"
-EMAIL="mikhailcuddy@gmail.com"
+MAINTAINER="Jeremy Hansen"
+EMAIL="jebrhansen+SBo@gmail.com"
diff --git a/network/plowshare/slack-desc b/network/plowshare/slack-desc
index 2ce7191a1b..0d924436a0 100644
--- a/network/plowshare/slack-desc
+++ b/network/plowshare/slack-desc
@@ -8,12 +8,12 @@
|-----handy-ruler------------------------------------------------------|
plowshare: plowshare (file-sharing website utility)
plowshare:
-plowshare: Plowshare is a command-line downloader/uploader for some of the most
-plowshare: popular file-sharing websites. It presently supports Megaupload,
-plowshare: Rapidshare, 2Shared, 4Shared, ZShare, Badongo, Divshare.com,
-plowshare: Depositfiles, Mediafire, Netload.in, Storage.to, Uploaded.to,
-plowshare: Uploading.com, Sendspace, Usershare, X7.to and some others.
+plowshare: Plowshare is a set of command-line tools (written entirely in Bash
+plowshare: shell script) designed for managing file-sharing websites (aka
+plowshare: Hosters).
plowshare:
-plowshare: http://code.google.com/p/plowshare/
+plowshare: Plowshare itself doesn't support any websites. It's just the core
+plowshare: engine. Support for websites are added via modules.
plowshare:
+plowshare: HOMEPAGE: https://github.com/mcrapet/plowshare
plowshare: